Get Order Details
1 min
API that returns clients orders matching the requestId. This api requires access token that can be generated using Access Token API.
The response is a list of Orders which matches the given criteria.
- orderId
- userAddress : User's email address
- updatedTs : Last Order updated timestamp in epoch milliseconds
- partner : Downstream partner ID
- orderType : Type of Order. Can be CHECKOUT/PAYOUT
- requestId : Unique ID passed during Order creation
- clientId : Client ID
- exchangeCurId : Name of the currency supported
- exchangeAmount : Currency Amount
- paymentMethod : Payment Method specified for Order
- errorReason : Contains errorCode and errorDesc. Will be received only in case if status is FAILED. List of possible Error Codes
Get Order Details
Get order details by client's request-id
GET
https://your-hostname.pay3.app/v1/client/orders?requestId=your-request-id&clientId=your-client-id
Query Parameters
- requestIdstringrequiredDescription
- clientIdstringrequiredDescription
Header Parameters
- access-tokenstringrequiredDescription
curl
curl --location 'https://your-hostname.pay3.app/v1/client/orders?requestId=your-request-id&clientId=your-client-id' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'access-token: ACCESS-TOKEN-IN-JWT'200
{
"data": [
{
"orderId": "4073be54-5903-47c8-820f-17aa12964ba8",
"orderStatus": "FAILED",
"userAddress": "[email protected]",
"updatedTs": 1706610264546,
"partner": "xyz",
"orderType": "CHECKOUT",
"requestId": "900531",
"clientId": "YOUR-CLIENT-ID",
"exchangeCurId": "brl_bz",
"exchangeAmount": "2.00",
"paymentMethod": "pix",
"errorReason": {
"errorCode": "9004",
"errorDesc": "Error occurred while the payment was processed by the payment partner"
}
}
]
}401
{"error":"Client verification failed"}